/*
 * TrkMDRCut.cpp
 *
 *  Created on:23-apr-2009
 *      Author: S. Ricciarini
 */

/*! @file TrkMDRCut.cpp The TrkRigGeoCut class implementation file */

#include "TrkMDRCut.h"

int TrkMDRCut::Check(PamLevel2 *event) {

  TrkTrack *trkTrack = event->GetTrack(0)->GetTrkTrack();

  float MDRMod = pow(1./trkTrack->coval[4][4],0.5);

//  cout << MDRMod << endl;

  if (MDRMod <= fabs(_MDRMin)) {
    return 0;
  }
  
//  cout << " OK " << endl;

  return CUTOK;
  
}
